librevenge::RVNGHTMLTextGeneratorImpl Struct Reference documentation

Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
librevenge::RVNGHTMLTextGeneratorImpl Struct Reference

the internal state of a html document generator More...

## Public Member Functions
| RVNGHTMLTextGeneratorImpl (RVNGString &document)
| constructor More...
| ~RVNGHTMLTextGeneratorImpl ()
| destructor More...
std::ostream & | output (bool sendDelayed=true)
| returns the actual output ( sending delayed data if needed) More...
RVNGHTMLTextStream & | stream ()
| returns the actual stream More...
void | push (RVNGHTMLTextZone::Type type)
void | pop ()
void | sendMetaData (std::ostream &out)
void | flushUnsent (std::ostream &out)

## Public Attributes
RVNGString & | m_document
int | m_actualPage
bool | m_ignore
RVNGHTMLTextListStyleManager | m_listManager
RVNGHTMLTextParagraphStyleManager | m_paragraphManager
RVNGHTMLTextSpanStyleManager | m_spanManager
RVNGHTMLTextTableStyleManager | m_tableManager
std::string | m_currentParaElement

## Protected Attributes
RVNGHTMLTextStream * | m_actualStream
std::vector< RVNGHTMLTextStream * > | m_streamStack
RVNGHTMLTextZone | m_zones [RVNGHTMLTextZone::Z_NumZones]

## Private Member Functions
| RVNGHTMLTextGeneratorImpl (RVNGHTMLTextGeneratorImpl const &orig)
RVNGHTMLTextGeneratorImpl | operator= (RVNGHTMLTextGeneratorImpl const &orig)

## Detailed Description

the internal state of a html document generator

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextGeneratorImpl() [1/2]

librevenge::RVNGHTMLTextGeneratorImpl::RVNGHTMLTextGeneratorImpl | ( | RVNGString & | document | ) |
| inline

constructor

## ◆ ~RVNGHTMLTextGeneratorImpl()

librevenge::RVNGHTMLTextGeneratorImpl::~RVNGHTMLTextGeneratorImpl | ( |  | ) |
| inline

destructor

## ◆ RVNGHTMLTextGeneratorImpl() [2/2]

librevenge::RVNGHTMLTextGeneratorImpl::RVNGHTMLTextGeneratorImpl | ( | RVNGHTMLTextGeneratorImpl const & | orig | ) |
| private

## Member Function Documentation

## ◆ flushUnsent()

void librevenge::RVNGHTMLTextGeneratorImpl::flushUnsent | ( | std::ostream & | out | ) |
| inline

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument().

## ◆ operator=()

RVNGHTMLTextGeneratorImpl librevenge::RVNGHTMLTextGeneratorImpl::operator= | ( | RVNGHTMLTextGeneratorImpl const & | orig | ) |
| private

## ◆ output()

std::ostream& librevenge::RVNGHTMLTextGeneratorImpl::output | ( | bool | sendDelayed = `true` | ) |
| inline

returns the actual output ( sending delayed data if needed)

Referenced by librevenge::RVNGHTMLTextGenerator::closeLink(), librevenge::RVNGHTMLTextGenerator::closeListElement(), librevenge::RVNGHTMLTextGenerator::closeOrderedListLevel(), librevenge::RVNGHTMLTextGenerator::closeParagraph(), librevenge::RVNGHTMLTextGenerator::closeSpan(), librevenge::RVNGHTMLTextGenerator::closeTable(), librevenge::RVNGHTMLTextGenerator::closeTableCell(), librevenge::RVNGHTMLTextGenerator::closeTableRow(), librevenge::RVNGHTMLTextGenerator::closeUnorderedListLevel(), librevenge::RVNGHTMLTextGenerator::insertField(), librevenge::RVNGHTMLTextGenerator::insertLineBreak(), librevenge::RVNGHTMLTextGenerator::insertSpace(), librevenge::RVNGHTMLTextGenerator::insertTab(), librevenge::RVNGHTMLTextGenerator::insertText(), librevenge::RVNGHTMLTextGenerator::openComment(), librevenge::RVNGHTMLTextGenerator::openEndnote(), librevenge::RVNGHTMLTextGenerator::openFootnote(), librevenge::RVNGHTMLTextGenerator::openLink(), librevenge::RVNGHTMLTextGenerator::openListElement(), librevenge::RVNGHTMLTextGenerator::openOrderedListLevel(), librevenge::RVNGHTMLTextGenerator::openParagraph(), librevenge::RVNGHTMLTextGenerator::openSpan(), librevenge::RVNGHTMLTextGenerator::openTable(), librevenge::RVNGHTMLTextGenerator::openTableCell(), librevenge::RVNGHTMLTextGenerator::openTableRow(), librevenge::RVNGHTMLTextGenerator::openTextBox(), librevenge::RVNGHTMLTextGenerator::openUnorderedListLevel(), and librevenge::RVNGHTMLTextGenerator::setDocumentMetaData().

## ◆ pop()

void librevenge::RVNGHTMLTextGeneratorImpl::pop | ( |  | ) |
| inline

Referenced by librevenge::RVNGHTMLTextGenerator::closeComment(), librevenge::RVNGHTMLTextGenerator::closeEndnote(), librevenge::RVNGHTMLTextGenerator::closeFootnote(), librevenge::RVNGHTMLTextGenerator::closeTextBox(), flushUnsent(), and librevenge::RVNGHTMLTextGenerator::setDocumentMetaData().

## ◆ push()

void librevenge::RVNGHTMLTextGeneratorImpl::push | ( | RVNGHTMLTextZone::Type | type | ) |
| inline

Referenced by librevenge::RVNGHTMLTextGenerator::openComment(), librevenge::RVNGHTMLTextGenerator::openEndnote(), librevenge::RVNGHTMLTextGenerator::openFootnote(), librevenge::RVNGHTMLTextGenerator::openTextBox(), and librevenge::RVNGHTMLTextGenerator::setDocumentMetaData().

## ◆ sendMetaData()

void librevenge::RVNGHTMLTextGeneratorImpl::sendMetaData | ( | std::ostream & | out | ) |
| inline

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument().

## ◆ stream()

RVNGHTMLTextStream& librevenge::RVNGHTMLTextGeneratorImpl::stream | ( |  | ) |
| inline

returns the actual stream

Referenced by librevenge::RVNGHTMLTextGenerator::openComment(), librevenge::RVNGHTMLTextGenerator::openEndnote(), librevenge::RVNGHTMLTextGenerator::openFootnote(), and librevenge::RVNGHTMLTextGenerator::openTextBox().

## Member Data Documentation

## ◆ m_actualPage

int librevenge::RVNGHTMLTextGeneratorImpl::m_actualPage

Referenced by librevenge::RVNGHTMLTextGenerator::openPageSpan().

## ◆ m_actualStream

RVNGHTMLTextStream* librevenge::RVNGHTMLTextGeneratorImpl::m_actualStream
| protected

Referenced by flushUnsent(), output(), pop(), push(), RVNGHTMLTextGeneratorImpl(), stream(), and ~RVNGHTMLTextGeneratorImpl().

## ◆ m_currentParaElement

std::string librevenge::RVNGHTMLTextGeneratorImpl::m_currentParaElement

Referenced by librevenge::RVNGHTMLTextGenerator::closeParagraph(), and librevenge::RVNGHTMLTextGenerator::openParagraph().

## ◆ m_document

RVNGString& librevenge::RVNGHTMLTextGeneratorImpl::m_document

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument().

## ◆ m_ignore

bool librevenge::RVNGHTMLTextGeneratorImpl::m_ignore

Referenced by librevenge::RVNGHTMLTextGenerator::closeComment(), librevenge::RVNGHTMLTextGenerator::closeEndnote(), librevenge::RVNGHTMLTextGenerator::closeFooter(), librevenge::RVNGHTMLTextGenerator::closeFootnote(), librevenge::RVNGHTMLTextGenerator::closeHeader(), librevenge::RVNGHTMLTextGenerator::closeLink(), librevenge::RVNGHTMLTextGenerator::closeListElement(), librevenge::RVNGHTMLTextGenerator::closeOrderedListLevel(), librevenge::RVNGHTMLTextGenerator::closeParagraph(), librevenge::RVNGHTMLTextGenerator::closeSpan(), librevenge::RVNGHTMLTextGenerator::closeTable(), librevenge::RVNGHTMLTextGenerator::closeTableCell(), librevenge::RVNGHTMLTextGenerator::closeTableRow(), librevenge::RVNGHTMLTextGenerator::closeTextBox(), librevenge::RVNGHTMLTextGenerator::closeUnorderedListLevel(), librevenge::RVNGHTMLTextGenerator::insertField(), librevenge::RVNGHTMLTextGenerator::insertLineBreak(), librevenge::RVNGHTMLTextGenerator::insertSpace(), librevenge::RVNGHTMLTextGenerator::insertTab(), librevenge::RVNGHTMLTextGenerator::insertText(), librevenge::RVNGHTMLTextGenerator::openComment(), librevenge::RVNGHTMLTextGenerator::openEndnote(), librevenge::RVNGHTMLTextGenerator::openFooter(), librevenge::RVNGHTMLTextGenerator::openFootnote(), librevenge::RVNGHTMLTextGenerator::openHeader(), librevenge::RVNGHTMLTextGenerator::openLink(), librevenge::RVNGHTMLTextGenerator::openListElement(), librevenge::RVNGHTMLTextGenerator::openOrderedListLevel(), librevenge::RVNGHTMLTextGenerator::openParagraph(), librevenge::RVNGHTMLTextGenerator::openSpan(), librevenge::RVNGHTMLTextGenerator::openTable(), librevenge::RVNGHTMLTextGenerator::openTableCell(), librevenge::RVNGHTMLTextGenerator::openTableRow(), librevenge::RVNGHTMLTextGenerator::openTextBox(), and librevenge::RVNGHTMLTextGenerator::openUnorderedListLevel().

## ◆ m_listManager

RVNGHTMLTextListStyleManager librevenge::RVNGHTMLTextGeneratorImpl::m_listManager

Referenced by librevenge::RVNGHTMLTextGenerator::closeOrderedListLevel(), librevenge::RVNGHTMLTextGenerator::closeUnorderedListLevel(), librevenge::RVNGHTMLTextGenerator::endDocument(), librevenge::RVNGHTMLTextGenerator::openListElement(), librevenge::RVNGHTMLTextGenerator::openOrderedListLevel(), and librevenge::RVNGHTMLTextGenerator::openUnorderedListLevel().

## ◆ m_paragraphManager

RVNGHTMLTextParagraphStyleManager librevenge::RVNGHTMLTextGeneratorImpl::m_paragraphManager

Referenced by librevenge::RVNGHTMLTextGenerator::defineParagraphStyle(), librevenge::RVNGHTMLTextGenerator::endDocument(), and librevenge::RVNGHTMLTextGenerator::openParagraph().

## ◆ m_spanManager

RVNGHTMLTextSpanStyleManager librevenge::RVNGHTMLTextGeneratorImpl::m_spanManager

Referenced by librevenge::RVNGHTMLTextGenerator::defineCharacterStyle(), librevenge::RVNGHTMLTextGenerator::endDocument(), and librevenge::RVNGHTMLTextGenerator::openSpan().

## ◆ m_streamStack

std::vector<RVNGHTMLTextStream *> librevenge::RVNGHTMLTextGeneratorImpl::m_streamStack
| protected

Referenced by flushUnsent(), pop(), push(), and ~RVNGHTMLTextGeneratorImpl().

## ◆ m_tableManager

RVNGHTMLTextTableStyleManager librevenge::RVNGHTMLTextGeneratorImpl::m_tableManager

Referenced by librevenge::RVNGHTMLTextGenerator::closeTable(), librevenge::RVNGHTMLTextGenerator::endDocument(), librevenge::RVNGHTMLTextGenerator::openTable(), librevenge::RVNGHTMLTextGenerator::openTableCell(), and librevenge::RVNGHTMLTextGenerator::openTableRow().

## ◆ m_zones

RVNGHTMLTextZone librevenge::RVNGHTMLTextGeneratorImpl::m_zones[RVNGHTMLTextZone::Z_NumZones]
| protected

Referenced by flushUnsent(), push(), RVNGHTMLTextGeneratorImpl(), and sendMetaData().

The documentation for this struct was generated from the following file:

- RVNGHTMLTextGenerator.cpp